org.encog.app.analyst.script.prop

## Enum PropertyType

- java.lang.Object
- - java.lang.Enum<PropertyType>
  - - org.encog.app.analyst.script.prop.PropertyType

- All Implemented Interfaces:
    Serializable, Comparable<PropertyType>

      public enum PropertyType
      extends Enum<PropertyType>

  The property types supported for Encog Analyst.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TypeBoolean` A boolean property.
    `TypeDouble` A double property.
    `typeFormat` A format.
    `TypeInteger` An integer property.
    `TypeListString` A list.
    `TypeString` A string property.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PropertyType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PropertyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TypeBoolean

          public static final PropertyType TypeBoolean

      A boolean property.

    - #### TypeString

          public static final PropertyType TypeString

      A string property.

    - #### TypeInteger

          public static final PropertyType TypeInteger

      An integer property.

    - #### TypeDouble

          public static final PropertyType TypeDouble

      A double property.

    - #### TypeListString

          public static final PropertyType TypeListString

      A list.

    - #### typeFormat

          public static final PropertyType typeFormat

      A format.

  - ### Method Detail

    - #### values

          public static PropertyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PropertyType c : PropertyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PropertyType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.